-- [de] Name des Ordners
-- [en] Name of the folder
local moduleName = "QuoteMediaTemplate";

-- [de] Name in der Kategorie-Liste
-- [en] Name of the category
local categoryName = "Template";

-- [de] Kürzel für dein QuoteMedia-AddOn.
-- [de] Dieses Kürzel muss einzigartig sein, es können keine zwei QuoteMedia-AddOns
-- [de] mit demselben Kürzel verwendet werden. Das Kürzel sollte kurz sein.
-- [en] unique id for all QuoteMedia-Modules (keep this short)
local moduleId = "tpl";

-- [de] eigene Kategorien
-- [en] add your own tags here
local ownTags =
{
--[[
["tagid1"] = "Description1",
["tagid2"] = "Description2",
--]]

-- [de] entferne die Kommentarklammern --[[ und --]], falls du eigene Kategorien hinzugefügt hast
-- [en] remove the comment delimiters --[[ and --]], if you use own tags
};


-- [de] deine Quotes
-- [en] your Quotes
local mediaData =
{

-- [de] ersetze die Daten in dieser Liste durch deine eigenen
-- [de] für jede Audio-Datei im Media-Ordner braucht es hier den entsprechenden Eintrag
-- [en] replace this list of data with your own

{

  -- [de] Die id besteht immer aus der moduleId, einem Doppelpunkt (:) und einer fortlaufenden Nummer
  -- [en] The id is always the moduleId, a colon (:) and a consecutive number
  id = "tpl:01",
  file = "firstfile.mp3",
  len = 3,  -- length in seconds
  msg = "Chat message for first file",

},

{

  id = "tpl:02",
  file = "secondfile.mp3",
  len = 4,
  msg = "Chat message for second file",
  tag = {"pvp","negative"},  -- optional

},

-- end of mediaData
};


-- [de] ab hier nichts mehr editieren
-- [en] don't edit below

local frame = CreateFrame("Frame", moduleName.."FakeFrame");
frame:SetScript("OnEvent", function (this, event, arg1, ...)
  if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
    if (IsAddOnLoaded("WoWQuote2") or IsAddOnLoaded("KQuote")) then

      local moduleData = { name = categoryName, moduleid = moduleId, tags = ownTags, mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\", mediadata = mediaData, };
      if (IsAddOnLoaded("WoWQuote2")) then
        WQ2_InitModule(moduleData);
      end
      if (IsAddOnLoaded("KQuote")) then
        KQ_InitModule(moduleData);
      end

    else
      DEFAULT_CHAT_FRAME:AddMessage(moduleName..": Please install KQuote or WoWQuote2!",1.0,0.0,0.0);
    end
    frame:UnregisterEvent("ADDON_LOADED");
  end
end);
frame:RegisterEvent("ADDON_LOADED");
